Bug 349501 - xset m 1 1 does not change the acceleration/threshold of the mouse pointer.
xset m 1 1 does not change the acceleration/threshold of the mouse pointer.
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2007-10-23 16:46 EDT by Ian Hands
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-25 03:46:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Hands 2007-10-23 16:46:03 EDT
Description of problem:
xset m 1 1 does not change the acceleration/threshold of the mouse pointer. 

Version-Release number of selected component (if applicable):
ship levels

Steps to Reproduce:
launch X (X :0 &)
launch xterm (export DISPLAY=:0 && xterm)
type xset m 1 1
Actual results:
mouse movement is not changed.

Expected results:
mouse pointer should move 1 to 1 with no acceleration.

Additional info: This is affecting IBM's ASM Remote Control windows.I am in the
process of testing on RHEL3 U9.
Comment 1 Ian Hands 2007-10-24 10:31:26 EDT
I have tried this on a clean Update 9 install. The command "xset m 1 1" still
does not change the mouse's behavior.
Comment 2 Matěj Cepl 2007-10-24 18:09:59 EDT
Hi, Ian,

I am slightly confused about the status of your support. Given that this is RHEL
bug, I would expect you to file an issue through the IssueTracker. I will
certainly not close this bug if you don't have support (and this is actually
CentOS or educational license of RHEL), but you would get much better treatment
if going through official ways. The official blurb follows:

For official Red Hat Enterprise Linux support, please log into the Red Hat
support website at http://www.redhat.com/support and file a support ticket, or
alternatively contact Red Hat Global Support Services at 1-888-RED-HAT1 to speak
directly with a support associate and escalate an issue.
Comment 3 Ian Hands 2007-10-24 21:55:32 EDT
I have found a workaround that suits me... (Launching "X -a 1 :0" works as "xset
m 1 1" does for me.) I do still believe that xset is not functioning properly. 

That being said I understand that I am a newcomer here but why should my
"support" matter at all here (unless RHEL3 U9 is no longer supported by RedHat,
or I am making a silly mistake (but I guess you would have pointed that mistake
out already(?)).

Shouldn't a bug be fixed asap either way? Wouldn't this only benefit RedHat to
find (and smash) a bug before the customer? It does not really make a difference
to me (I've found a reasonable alternative route).

I am not trying to sound over critical here (forgive me if I did). I am just
concerned about the "you would get much better treatment" part, and what it
means to RHEL customers/community. Please disregard if I have made quick, wrong,
and bad assumptions (I am admittedly new to this bug-tracker/community and while
I work for a large company that works closely with Redhat I have never used
"IssueTracker" or any other official channels of communication with RH).

I do appreciate the heads up though. Thanks.

p.s. Please reassign/resolve at your discretion. (The (possible) bug is not
hindering me personally anymore.)
Comment 4 Matěj Cepl 2007-10-25 03:46:10 EDT

no you are certainly not too much critical, but the situation is not simple we
would like it to be. First of all, our resources are not unlimited, and we have
currently 670 open bugs just for X related packages. That's a lot of work so we
have to prioritize and some bugs get more preference than others. So, customers
who pay for support get better treatment than those who don't (that certainly
doesn't mean that Fedora/CentOS/unsupported RHEL bugs won't get any attention,
just not that everybody would drop anything they have in hands to fix it; and of
course, you are right, if the bugs hits you, it will most probably hit our
clients as well). The other result of need to prioritize is that different
distributions get different level of attention -- RHEL3 is now in the level that
only security bugs and bugs which would severely disrupt operations of our
clients get fixed. I hate to say it, but your bug doesn't fall into either category.

Closing as per your last comment as WONTFIX.
Comment 5 Matěj Cepl 2007-10-25 03:47:27 EDT
sorry, some typos "the situation is not as simple as we would like it to be",
and some missing commas.

Note You need to log in before you can comment on or make changes to this bug.